Description

Hi

I see this message when deleting users "Are you sure you want to delete this user and remove all references to them? This cannot

be undone. Often, locking a user instead of deleting them is the better solution"

So I've been looking to see what the references are and wether it affects our setup, I would preferably delete users than have an

endless list of locked users. Looking at this link it looks to be well out of date 

https://www.redmine.org/projects/redmine/wiki/RedmineUsers#Deleting-a-User - can it be updated  detailing what is lost when a user

is deleted?

Thanks

Donald

History

#1 - 2023-12-13 16:28 - Holger Just

Generally, all references to the user (e.g. any authorship references of issues, journals, wiki pages, ..., issues assigned to the user, or any other any

changes done by the user) will be changed to refer to the Anonymous user. Thus, issues which were created by the deleted user will then show uip

as being created by Anonymous.

All other associated data (such as the user record itself, their saved preferences, any saved tokens or keys for the user, their project memberships...)

will be deleted. This only affects data which solely belongs to the user itself. Project data they added will be preserved and attributed to the

Anonymous user as explained above.

#2 - 2023-12-18 12:04 - Mohit Kumar

- File Only STQC & CERT-IN Empanelled Company in india .jpg added

#3 - 2023-12-18 12:48 - Marius BĂLTEANU

- File deleted (Only STQC & CERT-IN Empanelled Company in india .jpg)

#4 - 2023-12-19 15:24 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Fixed

I have updated RedmineUsers#Deleting-a-User.
